/* $Header: /cvsroot/dhcp-agent/dhcp-agent/dhcp-options-strings.c,v 1.2 2002/06/17 13:23:08 actmodern Exp $
 * 
 * Copyright 2002 Thamer Alharbash <tmh@whitefang.com>
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 * 1. Redistributions of source code must retain the above copyright
 * notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in
 * the documentation and/or other materials provided with the
 * distribution.
 * 3. The names of the authors may not be used to endorse or promote
 * products derived from this software without specific prior
 * written permission.
 * 
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * 
 */

#include <dhcp-agent.h>

char *dhcp_options_strings[] =
{
     "Pad", /* 0 */
     "Subnet Mask", /* 1 */
     "Time Offset", /* 2 */
     "Routers", /* 3 */
     "Time Servers", /* 4 */ 
     "Name Servers", /* 5 */
     "Domain Name Servers", /* 6 */
     "Log Servers", /* 7 */
     "Cookie Servers", /* 8 */
     "LPR Servers", /* 9 */
     "Impress Servers", /* 10 */
     "RL servers", /* 11 */
     "Hostname", /* 12 */
     "Boot File Size", /* 13 */ 
     "Merit Dump File", /* 14 */
     "Domain Name", /* 15 */
     "Swap Server", /* 16 */
     "Root Path", /* 17 */
     "Extensions Path", /* 18 */
     "IP Forwarding", /* 19 */
     "Source Routing", /* 20 */
     "Policy Filter", /* 21 */
     "Maximum DGRAM Reassmbly", /* 22 */
     "Default IP Time-to-live", /* 23 */
     "Path MTU Aging Timeout", /* 24 */
     "Path MTU Plateau Table",/* 25 */
     "Interface MTU", /* 26 */
     "All Subnets", /* 27 */
     "Broadcast Address", /* 28 */ 
     "Perform Mask Discovery",  /* 29 */
     "Mask Supplier", /* 30 */
     "Perform Router Discovery", /* 31 */
     "Router Solicitation Address", /* 32 */
     "Static Route", /* 33 */
     "Trailer Encapsulation", /* 34 */
     "ARP Cache Timeout", /* 35 */
     "Ethernet Encapsulation", /* 36 */
     "TCP Default TTL", /* 37 */
     "TCP KeepAlive Interval", /* 38 */
     "TCP KeepAlive Garbage",  /* 39 */
     "Network Information Service Domain", /* 40 */
     "Network Information Servers", /* 41 */
     "Network Time Protocol Servers", /* 42 */
     "Vendor Specific Information", /* 43 */
     "NetBIOS over TCP/IP Name Servers", /* 44 */
     "NetBIOS over TCP/IP Datagram Distribution Servers", /* 45 */
     "NetBIOS over TCP/IP Node Type", /* 46 */
     "NetBIOS over TCP/IP Scope", /* 47 */
     "X-Windows Font Servers", /* 48 */
     "X-Windows System Display Manager", /* 49 */
     "Request IP Address",  /* 50 */
     "IP Address Lease Time", /* 51 */
     "Option Overload", /* 52 */
     "DHCP Message Type", /* 53 */
     "Server Identifier", /* 54 */
     "Parameter Request List", /* 55 */
     "Message", /* 56 */
     "Max DHP Message Size", /* 57 */
     "Renewal Time", /* 58 */
     "Rebinding Time", /* 59 */
     "Class ID", /* 60 */
     "Client ID", /* 61 */
};
